Bug 203707 - "compiz" window manager locks up system
"compiz" window manager locks up system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 07:27 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-25 12:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-08-23 07:27:31 EDT
Description of problem:
The "compiz" window manager delivers working compositing functionality
on my "Radeon 7200 PCI" graphics card which is powered by an "R100"
chip. However, upon deselecting "dektop effects" or logging out from
the "GNOME" session, the monitor turns blank instantaneously and goes
to "power off" mode. The system does not respond to the keyboard
anymore. Consequently, it is required to power off the computer manually
to leave this state.

Version-Release number of selected component (if applicable):
compiz-0.0.13-0.16.20060817git.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Log in to "GNOME" session.
2. Enable "desktop effects".
3. Disable "desktop effects" or log out.
  
Actual results:
System locks up.

Expected results:
System terminates "GNOME" session gracefully.

Additional info:
None
Comment 1 Kristian Høgsberg 2006-08-23 11:30:00 EDT
One of the recent mesa builds had a deadlock problem on r100 and r200 systems. 
The one I just built in rawhide should fix it, please give it a try and see if
that fixes it.  Make sure you test at least mesa-libGL version
6.5-26.20060818cvs, thanks.
Comment 2 Joachim Frieben 2006-08-25 12:59:25 EDT
Tried again after upgrading "X" related packages as of 2006-08-25
including "mesa-libGL-6.5.1-0.rc1.fc6" and no lock-ups anymore.

Note You need to log in before you can comment on or make changes to this bug.